Bug 17790 - /sbin does not appear to be in root user PATH
Summary: /sbin does not appear to be in root user PATH
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: setup (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: alpha Linux
high
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-22 14:58 UTC by harry.heinisch
Modified: 2014-03-17 02:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-17 05:10:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description harry.heinisch 2000-09-22 14:58:27 UTC
Installed RH 7.0 Beta for Alpha on an ES40LP 4-CPU SMP machine.  I 
followed an "everything" setup with a custom disk partitioning using disk 
druid.  I chose the following during setup:

1.) Graphic login using KDE as my windowing system (init 5).
2.) Elsa Gloria graphics.
3.) DHCP so localhost is hostname.
4.) "everything" installed.
5.) Created a regular user account in my name.
6.) Boot an SMP kernel.

Note: I did NOT change any configuration files or changed any defaults 
that were done by the installer before seeing the problem below.  All 
changes to this machine are noted below.

After the setup was complete, I booted the Alpha and logged in as root.  I 
immediately wanted to learn my dhcp IP address and ran "ifconfig" from my 
root prompt.  It failed and said "command not found".  I found that all 
the commands found in /sbin do not work UNLESS I call them from their full 
pathname.  "/sbin/ifconfig" works fine.

** I then did an "mv /etc/securetty /etc/securetty.old" to allow remote 
root login.

I did the following tests to see what the behavior was:

1.) I remotely logged into this Alpha from another RH6.2 Alpha system. 
After logging in, I made an "ifconfig" call, it ran fine without having to 
explicity give the full path. I did this with telnet and rlogin from the 
rh6.2 system.

2.) I remotely logged into this Alpha from a Konsole terminal ON this 
Alpha.  Again, the plain "ifconfig" call ran fine without giving the full 
path.

3.) I changed my "/etc/inittab" file to only boot to runlevel 3.  I 
rebooted the Alpha.  I logged in at the console and again the "ifconfig" 
command ran fine without the full path.

4.) From runlevel 3, I did an "init 5" and brought the Alpha to graphics 
login.  I logged in and then "ifconfig" failed again.  I needed to give it 
the full path once again.

That's it...

Comment 1 Bill Nottingham 2000-10-17 05:09:59 UTC
So, this only occurs on a graphical (KDE) login, on runlevel
5?

Does it also occur on the virtual consoles?

Comment 2 Bill Nottingham 2001-01-29 18:19:20 UTC
closed, lack of input.


Note You need to log in before you can comment on or make changes to this bug.